import { jsx } from "react/jsx-runtime";
import { forwardRef } from "react";
import { Box } from "../../node_modules/.pnpm/@mantine_core@7.17.8_patch_hash_3qirwkgu3wxhvd6hnr2gb24yzq_@mantine_hooks@7.17.8_react@18.3.1_e5yvlgwhmeykc75dkphi7jou6q/node_modules/@mantine/core/esm/core/Box/Box.mjs";
const IconCollapse02 = (props, ref) => {
  return /* @__PURE__ */ jsx(
    "svg",
    {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsx(
        "path",
        {
          d: "M4 8L12 8M4 8L5.33333 6M4 8L5.33333 10M12 8L10.6667 6M12 8L10.6667 10",
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = forwardRef(IconCollapse02);
const Collapse02 = forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsx(
    Box,
    {
      ref,
      ...props,
      component: ForwardRef,
      className: ["tiui-icon", "Collapse02", props.className].join(" ")
    }
  );
});
Collapse02.displayName = "IconCollapse02";
export {
  Collapse02 as default
};
